Package de.willuhn.jameica.hbci.passport

# Interface Configuration

All Known Subinterfaces:
  `PinTanConfig`, `RDHKey`

All Known Implementing Classes:
  `DDVConfig`, `PinTanConfigImpl`, `RDHKeyImpl`

public interface Configuration
Interface fuer eine einzelne Passport-Konfiguration.

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Loescht die Konfiguration.
`Class`
`getConfigDialog()`
Liefert die Klasse des Konfigurationsdialogs.
`String`
`getDescription()`
Liefert einen Beschreibungstext fuer die Konfiguration.

## Method Details

### getDescription

String getDescription()
Liefert einen Beschreibungstext fuer die Konfiguration.

Returns:
  Beschreibungstext.

### getConfigDialog

Class getConfigDialog() throws RemoteException
Liefert die Klasse des Konfigurationsdialogs. Oeffnet der Anwender den Konfigurations-Dialog durch Doppelklick auf die Liste der vorhandenen Konfigurationen, dann wird eine Instanz dieser Klasse erzeugt und in der GUI angezeigt. Als Referenz kann hierzu de.willuhn.jameica.passports.ddv.View dienen.

Returns:
  Die Klasse des Konfig-Dialogs. Muss von `AbstractView` abgeleitet sein.
Throws:
  `RemoteException`

### delete

void delete() throws de.willuhn.util.ApplicationException
Loescht die Konfiguration.

Throws:
  `de.willuhn.util.ApplicationException`